Support our Sponsors:

Go Back   Touch Arcade > Games and Apps > iPhone and iPad Games

Reply
 
Thread Tools Display Modes
  #111  
Old 10-04-2014, 06:52 PM
Valentin C Valentin C is offline
Member
 
Join Date: Aug 2014
Posts: 34
Default

Quote:
Originally Posted by bear-man View Post
I noticed the new update added support for iPod 4, but the game still crashes for me on startup. Fix this, please!
Sorry to hear it. I specifically tested the build to run on iPod Touch 4th Gen. I have identified the exact problem that was causing the crash and removed it. I will test again the build on a clean install from the AppStore. But in the meantime could you please make sure you have the latest version of the game installed; or better yet, remove the game and download it again from the Store. Many thanks!

Quote:
Originally Posted by oscar123967 View Post
The controls are top now! Hopefully your great work is recognized and is featured on the best new updates section.

Also out of curiosity, do you plan on continuing to self publish your games?
Thank you for the feedback!

As for self publishing, I can't say that I've made the best choices throughout the development of this game, but I'm not crossing this as one of the biggest mistakes, just yet. I still need a few more months to clearly see if the game gains traction or not. If it doesn't, then a publisher would've been better.
Reply With Quote
  #112  
Old 10-05-2014, 09:55 AM
Valentin C Valentin C is offline
Member
 
Join Date: Aug 2014
Posts: 34
Default

I just tested the game on iPod Touch 4th Gen, with a clean install from the AppStore and it works perfectly.

Granted, the first time you start the game the first load takes some time, as the intro is loaded (due to the device's slow access to memory), but after that everything works great. Please make sure you run the latest version of the game.

I also wanted to give some insight as to why developers choose to make their games available only for the latest versions of iOS, as this is related. They are forced to impose these limits in order to restrict access for players with older devices, devices which are simply not capable of running the game.

For example, a lot of games require iOS 7 to specifically restrict access for the iPod Touch 4th Gen and older devices. Also, mentioning that the game does not run on a device in the description of the game has almost no effect as anybody rarely reads that.

For Battle Riders, as I created the game especially for iOS, I used the possibility of disabling certain features on older devices to make the game run, but even so I ran into some issues with the first version of the game.

Last edited by Valentin C; 10-05-2014 at 04:59 PM..
Reply With Quote
  #113  
Old 10-05-2014, 12:51 PM
bilboa bilboa is offline
Senior Member
iPad (4th Gen), iOS 7.x
 
Join Date: May 2013
Location: Boston, MA, USA
Posts: 482
Default

Quote:
Originally Posted by Valentin C View Post
I've seen a lot of talk on the forum regarding The Banner Saga being available only for iOS 8.
Banner Saga's minimum iOS version requirement is 7.1, not 8.0. That doesn't invalidate your point at all, but just thought I'd mention it to avoid any confusion for people who might be thinking about getting Banner Saga.
Reply With Quote
  #114  
Old 10-05-2014, 04:36 PM
Valentin C Valentin C is offline
Member
 
Join Date: Aug 2014
Posts: 34
Default

Quote:
Originally Posted by bilboa View Post
Banner Saga's minimum iOS version requirement is 7.1, not 8.0. That doesn't invalidate your point at all, but just thought I'd mention it to avoid any confusion for people who might be thinking about getting Banner Saga.
You are right. Thank you for correcting me! I took the liberty of editing my previous post also. I have an iPad on 7.0, and an iphone on 8.0 but I think that I'll update the ipad to play it on. I really wish now that I would've updated to 7.1 at the right time.

Last edited by Valentin C; 10-05-2014 at 05:00 PM..
Reply With Quote
  #115  
Old 10-06-2014, 05:03 AM
MasonHurst MasonHurst is offline
Senior Member
 
Join Date: Jan 2013
Posts: 151
Default

Quote:
Originally Posted by Valentin C View Post
You are right. Thank you for correcting me! I took the liberty of editing my previous post also. I have an iPad on 7.0, and an iphone on 8.0 but I think that I'll update the ipad to play it on. I really wish now that I would've updated to 7.1 at the right time.
You and me both! I didn't want to update my old iPad 2 to even iOS 7 but now with all the limitations I would be glad to do it. I guess now I've lost the 7.1 option entirely. :-(

Might be time for to buy a new iPad air 2 I suppose... Now I have a justification.

Thanks for the control update. I STILL wish I could move the arrows around as I find the right arrow just a tad too far to the right to be super comfortable for long gaming sessions but it is a big improvement.

That was about the longest wait I've ever seen for an update... I can understand you being upset about it. I started wondering if Apple had managed to lose it "in the cloud" or whatever... I guess maybe iOS 8 made you and your game a second-class citizen for a while. ;-)
Reply With Quote
  #116  
Old 10-06-2014, 05:06 AM
MasonHurst MasonHurst is offline
Senior Member
 
Join Date: Jan 2013
Posts: 151
Default

Also thanks for the info about iOS restrictions. Now I know it's iPod users that are screwing me and my old iPad 2 over... lol
Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Copyright 2012, TouchArcade.com, LLC.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.
Copyright 2008 - 2011, TouchArcade.com. Privacy Policy / DMCA Copyright Agent